package org.dromara.system.service;

import org.dromara.system.domain.RoomRegion;
import org.dromara.system.domain.vo.RoomRegionVo;
import org.dromara.system.domain.bo.RoomRegionBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-12-16
 */
public interface IRoomRegionService {

    /**
     * 查询【请填写功能名称】
     */
    RoomRegionVo queryById(String roomId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<RoomRegionVo> queryPageList(RoomRegionBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<RoomRegionVo> queryList(RoomRegionBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(RoomRegionBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(RoomRegionBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    boolean batchDelete(List<String> list);
}
